import request from '../utils/request'


//指定挖矿账号添加钱包 绑定钱包地址
export function getAddBalace(data) {
    return request({
      url: `pool/user/addBalance`,
      method: 'post',
      data
    })
  }

// 添加 绑定挖矿账号
export function getAddMinerAccount(data) {
  return request({
    url: `pool/user/addMinerAccount`,
    method: 'post',
    data
  })
}
// 解绑(删除)挖矿账号
export function getDelMinerAccount(data) {
  return request({
    url: `pool/user/delMinerAccount`,
    method: 'Delete',
    data
  })
}

// 获取用户当前币种下账号
export function getAccountList(data) {
  return request({
    url: `pool/user/getAccountList`,
    method: 'post',
    data
  })
}

// 获取付款设置相关内容  获取当前矿工账号绑定钱包地址
export function getMinerAccountBalance(data) {
  return request({
    url: `pool/user/getMinerAccountBalance`,
    method: 'post',
    data
  })
}


// 判断挖矿账户名是否存在
export function getCheckAccount(data) {
  return request({
    url: `pool/user/checkAccount`,
    method: 'post',
    data
  })
}

// 校验钱包地址是否有效
export function getCheckBalance(data) {
  return request({
    url: `pool/user/checkBalance`,
    method: 'post',
    data
  })
}

// 校验账号和钱包地址
export function getCheck(data) {
  return request({
    url: `pool/user/check`,
    method: 'post',
    data
  })
}

// 判断是否绑定 开启验证
export function getIfBind(data) {
  return request({
    url: `pool/user/ifBind`,
    method: 'post',
    data
  })
}
//绑定 获取二维码和安全码
export function getBindInfo(data) {
  return request({
    url: `pool/user/getBindInfo`,
    method: 'post',
    data
  })
}

//绑定谷歌验证器
export function getBindGoogle(data) {
  return request({
    url: `pool/user/bindGoogle`,
    method: 'post',
    data
  })
}

//绑定谷歌 邮箱验证码
export function getBindCode(data) {
  return request({
    url: `pool/user/getBindCode`,
    method: 'post',
    data
  })
}

//关闭双重验证 邮箱验证码
export function getCloseCode(data) {
  return request({
    url: `pool/user/getCloseCode`,
    method: 'post',
    data
  })
}

//关闭谷歌验证
export function getCloseStepTwo(data) {
  return request({
    url: `pool/user/closeStepTwo`,
    method: 'post',
    data
  })
}

//邮箱查询是否绑定双重验证
export function getEmailIfBind(data) {
  return request({
    url: `pool/user/emailIfBind`,
    method: 'post',
    data
  })
}


//个人中心修改密码
export function getUpdatePwd(data) {
  return request({
    url: `auth/updatePwd`,
    method: 'post',
    data
  })
}

//个人中心修改密码 验证码
export function getUpdatePwdCode(data) {
  return request({
    url: `auth/updatePwdCode`,
    method: 'post',
    data
  })
}












